summaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-01-02 20:26:50 +0000
committer Eric Hameleers <alien@slackware.com>2024-01-02 21:59:28 +0100
commit4c234135eea81183ecccd37c3281a746954c443d (patch)
treeba1d6d0856c6e01c9267be652fd551741060cfc0 /testing
parentba1dfae859cd666e5936874dc0de8d3e781339ae (diff)
downloadcurrent-4c234135eea81183ecccd37c3281a746954c443d.tar.gz
current-4c234135eea81183ecccd37c3281a746954c443d.tar.xz
Tue Jan 2 20:26:50 UTC 202420240102202650
a/dialog-1.3_20240101-x86_64-1.txz: Upgraded. d/swig-4.2.0-x86_64-1.txz: Upgraded. l/SDL2_image-2.8.2-x86_64-1.txz: Upgraded. l/fmt-10.2.0-x86_64-1.txz: Upgraded. x/xterm-389-x86_64-1.txz: Upgraded. testing/packages/grub-2.12-x86_64-2.txz: Rebuilt. Ingore .new and .orig files in /etc/grub.d/.
Diffstat (limited to 'testing')
-rw-r--r--testing/source/grub/0001-skip-new-and-orig-files-in-etc-grub.d.patch10
-rw-r--r--testing/source/grub/0001-skip-new-files-in-etc-grub.d.patch11
-rwxr-xr-xtesting/source/grub/grub.SlackBuild6
3 files changed, 13 insertions, 14 deletions
diff --git a/testing/source/grub/0001-skip-new-and-orig-files-in-etc-grub.d.patch b/testing/source/grub/0001-skip-new-and-orig-files-in-etc-grub.d.patch
new file mode 100644
index 000000000..601a05b9a
--- /dev/null
+++ b/testing/source/grub/0001-skip-new-and-orig-files-in-etc-grub.d.patch
@@ -0,0 +1,10 @@
+--- ./util/grub-mkconfig_lib.in.orig 2023-12-05 08:46:53.000000000 -0600
++++ ./util/grub-mkconfig_lib.in 2024-01-02 13:44:41.164913702 -0600
+@@ -191,6 +191,7 @@
+ case "$1" in
+ *.dpkg-*) return 1 ;; # debian dpkg
+ *.rpmsave|*.rpmnew) return 1 ;;
++ *.new|*.orig) return 1 ;; # slackware incoming or backed up config file
+ README*|*/README*) return 1 ;; # documentation
+ *.sig) return 1 ;; # signatures
+ esac
diff --git a/testing/source/grub/0001-skip-new-files-in-etc-grub.d.patch b/testing/source/grub/0001-skip-new-files-in-etc-grub.d.patch
deleted file mode 100644
index e1b4b8dcc..000000000
--- a/testing/source/grub/0001-skip-new-files-in-etc-grub.d.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./util/grub-mkconfig.in.orig 2021-03-10 07:42:22.000000000 -0600
-+++ ./util/grub-mkconfig.in 2021-09-10 13:33:17.602163090 -0500
-@@ -278,6 +278,8 @@
- *~) ;;
- # emacsen autosave files. FIXME: support other editors
- */\#*\#) ;;
-+ # Slackware incoming config files should be skipped as well:
-+ *.new) ;;
- *)
- if grub_file_is_not_garbage "$i" && test -x "$i" ; then
- echo
diff --git a/testing/source/grub/grub.SlackBuild b/testing/source/grub/grub.SlackBuild
index 88666616c..67cdb21fc 100755
--- a/testing/source/grub/grub.SlackBuild
+++ b/testing/source/grub/grub.SlackBuild
@@ -28,7 +28,7 @@ PKGNAM=grub
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
# Better to use _ than ~ in the package filenames version:
PKGVER=$(echo $VERSION | tr '~' '_')
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -112,8 +112,8 @@ cat $CWD/grub.dejavusansmono.gfxterm.font.diff | patch -p1 --verbose || exit 1
# Fix alignment error with gcc8:
cat $CWD/0198-align-struct-efi_variable-better.patch | patch -p1 --verbose || exit 1
-# Skip processing any files in /etc/grub.d/ that end in .new:
-cat $CWD/0001-skip-new-files-in-etc-grub.d.patch | patch -p1 --verbose || exit 1
+# Skip processing any files in /etc/grub.d/ that end in .new or .orig:
+cat $CWD/0001-skip-new-and-orig-files-in-etc-grub.d.patch | patch -p1 --verbose || exit 1
# From Arch, add a couple more GRUB_COLOR options:
cat $CWD/0001-00_header-add-GRUB_COLOR_-variables.patch | patch -p1 --verbose || exit 1